arrangers:
- link: artist/10051
  names:
    en: Hiroaki Kagoshima
    ja: 籠島裕昌
- link: artist/7178
  names:
    en: Kenichiro Ohishi
    ja: 大石憲一郎
barcode: '4988001304302'
catalog: COCC-16373
categories:
- Animation
category: Animation
classification: Vocal
composers:
- link: artist/12266
  names:
    en: IMAJO
- link: artist/12265
  names:
    en: YOFFY
covers: []
discs:
- disc_length: '17:57'
  name: Disc 1
  tracks:
  - names:
      Japanese: 超! 最強! ウォーリアーズ
    track_length: '4:01'
  - names:
      Japanese: Beginning of Love
    track_length: '5:00'
  - names:
      Japanese: 超! 最強! ウォーリアーズ (オリジナル・カラオケ)
    track_length: '4:00'
  - names:
      Japanese: Beginning of Love (オリジナル・カラオケ)
    track_length: '4:56'
distributor: &id001
  link: org/92
  names:
    en: Columbia Music Entertainment, Inc.
    ja: コロムビアミュージックエンタテインメント株式会社
    ja-latn: Columbia Music Entertainment, Inc.
  role: distributor
link: album/142252
lyricists:
- link: artist/12265
  names:
    en: YOFFY
media_format: CD
meta:
  added_date: 2024-08-26T20:54
  edited_date: 2024-08-26T20:54
  fetched_date: 2025-12-07T16:37
  freedb: 1
  ttl: 86400
  visitors: 281
name: Chou! Saikyou! Warriors / PSYCHIC LOVER
names:
  en: Chou! Saikyou! Warriors / PSYCHIC LOVER
  ja: 超！最強！ウォーリアーズ / サイキックラバー
  ja-latn: Chou! Saikyou! Warriors / PSYCHIC LOVER
notes: 'M-01 - TV Anime "Bakugan Battle Brawlers: New Vestroia" Opening Theme

  Composition: IMAJO

  Arrangement: Hiroaki Kagoshima

  Lyrics: YOFFY

  M-02

  Arrangement: Kenichiro Ohishi

  Lyrics, Composition: YOFFY'
organizations:
- &id002
  link: org/2193
  names:
    en: Columbia Music Entertainment
    ja: Columbia Music Entertainment
    ja-latn: Columbia Music Entertainment
  role: label
- link: org/92
  names:
    en: Columbia Music Entertainment, Inc.
    ja: コロムビアミュージックエンタテインメント株式会社
    ja-latn: Columbia Music Entertainment, Inc.
  role: manufacturer
- *id001
performers: []
picture_full: https://media.vgm.io/albums/25/142252/142252-4ce73f45f687.jpg
picture_small: https://medium-media.vgm.io/albums/25/142252/142252-4ce73f45f687.jpg
picture_thumb: https://thumb-media.vgm.io/albums/25/142252/142252-4ce73f45f687.jpg
platforms:
- Series
products:
- names:
    en: 'Bakugan Battle Brawlers: New Vestroia'
publish_format: Commercial
publisher: *id002
related:
- catalog: CIR-0002
  date: '2010-04-28'
  link: album/151060
  names:
    en: BANG! BANG! BAKUGAN / Yoshifumi Ushima
    ja: BANG! BANG! BAKUGAN / 鵜島仁文
    ja-latn: BANG! BANG! BAKUGAN / Yoshifumi Ushima
  type: anime
- catalog: DGBS-10004
  date: '2010-07-07'
  link: album/151062
  names:
    en: Communication Breakdown / Crush Tears
    ja: Communication Breakdown / Crush Tears
    ja-latn: Communication Breakdown / Crush Tears
  type: anime
- catalog: DGBS-10003/B
  date: '2010-07-07'
  link: album/151063
  names:
    en: Communication Breakdown / Crush Tears [CD+DVD]
    ja: Communication Breakdown / Crush Tears [CD+DVD]
    ja-latn: Communication Breakdown / Crush Tears [CD+DVD]
  type: anime
release_date: '2010-05-19'
release_events: []
release_price:
  currency: JPY
  price: 1260.0
reprints: []
stores:
- link: http://tower.jp/item/2696598/%E8%B6%85!-%E6%9C%80%E5%BC%B7!-%E3%82%A6%E3%82%A9%E3%83%BC%E3%83%AA%E3%82%A2%E3%83%BC%E3%82%BA
  name: TOWER RECORDS ONLINE
vgmdb_link: https://vgmdb.net/album/142252?perpage=99999
vocals:
- link: artist/12264
  names:
    en: PSYCHIC LOVER
    ja: サイキックラバー
votes: 0
websites:
  Official:
  - link: https://columbia.jp/artist-info/psychiclover/discography/COCC-16373.html
    name: 超!最強!ウォーリアーズ | ディスコグラフィ | サイキックラバー | 日本コロムビアオフィシャルサイト
